#!/bin/bash
# ABIS:  'ANDROID_ABIS=armeabi-v7a arm64-v8a'
# read password
echo "Please enter the keystore password: "
read keystore_password
echo "You entered: '$keystore_password'"

docker run -it \
    -v $(pwd):/src \
    -e PLUGIN_QMAKE_ARGUMENTS="-spec android-clang CONFIG+=qtquickcompiler" \
    -e PLUGIN_ANDROIDDEPLOYQT_ARGUMENTS="--android-platform android-31 --gradle --aab --release" \
    -e PLUGIN_ANDROID_KEYSTORE_DATA="$(base64 android_release.keystore)" \
    -e PLUGIN_ANDROID_KEYSTORE_ALIAS="bmca" \
    -e PLUGIN_ANDROID_KEYSTORE_STORE_PASS="$keystore_password" \
    --entrypoint /bin/bash \
    itsblue.dev/plugins/qt-android:5.15.5-3
